Package pyplusplus :: Package decl_wrappers :: Module call_policies :: Class custom_call_policies_t

# type custom_call_policies_t

source code

       object --+
                |
    call_policy_t --+
                    |
                   custom_call_policies_t

implements code generation for user defined call policies

Instance Methods

__init__(self, call_policies, header_file=None) | source code

__str__(self) | source code

get_header_file(self) | source code

set_header_file(self, header_file_name) | source code

Inherited from `call_policy_t`: `create`, `create_template_arg`, `create_type`, `is_default`, `is_predefined`

Properties
| header_file Return name of the header file to be included

Method Details

### __init__(self, call_policies, header_file=None)
(Constructor)

source code

Overrides: call_policy_t.__init__

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)

Property Details

### header_file

Return name of the header file to be included

Get Method:
  get_header_file(self)
Set Method:
  set_header_file(self, header_file_name)